// File: graph.h


#ifndef GRAPH_H
#define GRAPH_H

#include <stdlib.h>
#include <stdio.h>
#include <iostream>
#include <iomanip>
#include <fstream>
#include <vector>
#include <map>
#include <set>
#include <algorithm>
#include <string>

using namespace std;

class Graph {

 public:
  unsigned int nb_links;
  unsigned int nb_nodes;
  vector<vector<unsigned int> > links;

  map<string,unsigned int> nodeMap;
  map<unsigned int,string> converseNodeMap;

  Graph (char *filename);
  
};

#endif // GRAPH_H
